Subject: Re: bug#8530: 23.2; Button 'mouse-face property loses Bold and Italic properties

From: PJ Weisberg <[email-masked]>
Date: Wed, 11 May 2011 08:17:07 -0700

On Thursday, April 21, 2011, Eli Zaretskii <[email-masked]> wrote:
> Well, the font is explicitly ignored, at least in my reading of the
> code.  Maybe that's because mouse-face was intended to _highlight_ the
> text, not redraw it in some entirely different face.  Or maybe there
> are other reasons, or even no particular reason at all.  I don't know.
>

FWIW, as a user I consider adding bold and/or italic properties a more
subtle change than changing the color, even though as a developer I
know that they're implemented as separate fonts.  (Which is why I have
the magit-item-highlight face customized to bold+italic, and therefore
noticed when adding it as a mouse-face to a section didn't have the
same effect as highlighting the section by moving the point into it.)

-- 

-PJ